The evaluation queue: calls to evaluate, AI reviews, disputes
GET
/v1/workspace/quality/queue
const url = 'https://api.vocapable.com/v1/workspace/quality/queue';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vocapable.com/v1/workspace/quality/queue \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
QualityQueue
object
calls
required
Calls
Array<object>
QualityCallToEvaluateobject
workspace_call_id
required
Workspace Call Id
string
handler
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
direction
required
Direction
string
ended_at
required
Ended At
string format: date-time
scorecard_ids
required
Scorecard Ids
Array<string>
ai_needs_review
required
Ai Needs Review
Array<object>
QualityEvaluationSummaryobject
id
required
Id
string
scorecard_id
required
Scorecard Id
string
scorecard_name
required
Scorecard Name
string
scorecard_version
required
Scorecard Version
integer
call
required
QualityEvaluationCall
subject_kind
required
Subject Kind
string
subject
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
score_source
required
Score Source
string
label
required
Label
string
evaluator
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
status
required
Status
string
auto_failed
required
Auto Failed
boolean
answered
required
Answered
integer
needs_review_count
required
Needs Review Count
integer
open_disputes
required
Open Disputes
integer
revision
required
Revision
integer
created_at
required
Created At
string format: date-time
drafts
required
Drafts
Array<object>
QualityEvaluationSummaryobject
id
required
Id
string
scorecard_id
required
Scorecard Id
string
scorecard_name
required
Scorecard Name
string
scorecard_version
required
Scorecard Version
integer
call
required
QualityEvaluationCall
subject_kind
required
Subject Kind
string
subject
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
score_source
required
Score Source
string
label
required
Label
string
evaluator
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
status
required
Status
string
auto_failed
required
Auto Failed
boolean
answered
required
Answered
integer
needs_review_count
required
Needs Review Count
integer
open_disputes
required
Open Disputes
integer
revision
required
Revision
integer
created_at
required
Created At
string format: date-time
open_disputes
required
Open Disputes
Array<object>
QualityDisputeobject
id
required
Id
string
evaluation_id
required
Evaluation Id
string
question_key
required
Question Key
string
question_text
required
Question Text
string
raised_by
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
comment
required
Comment
string
status
required
Status
string
due_at
required
Due At
string format: date-time
overdue
required
Overdue
boolean
resolver
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
before_value
required
Before Value
string
can_resolve
required
Can Resolve
boolean
revision
required
Revision
integer
created_at
required
Created At
string format: date-time
conversations
Conversations
Array<object>
QualityConversationToEvaluateA routed text conversation an agent held and closed, not yet evaluated (CC8-R1).
object
conversation_id
required
Conversation Id
string
handler
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
closed_at
required
Closed At
string format: date-time
scorecard_ids
required
Scorecard Ids
Array<string>
Example
{ "calls": [ { "direction": "inbound" } ], "ai_needs_review": [ { "call": { "direction": "inbound", "channel": "voice" }, "subject_kind": "person", "score_source": "human", "status": "draft" } ], "drafts": [ { "call": { "direction": "inbound", "channel": "voice" }, "subject_kind": "person", "score_source": "human", "status": "draft" } ], "open_disputes": [ { "status": "open", "before_value": "yes", "after_value": "yes" } ]}